| Home | Libraries | People | FAQ | More

##### boost::mqtt5::mqtt_client::cancel

Cancel all asynchronous operations. This function has terminal effects.

###### Synopsis

    void
    cancel();

###### Description

All outstanding operations will complete with `boost::asio::error::operation_aborted`.

###### Attention

This function has terminal effects and will close the Client. The Client cannot be used before calling `async_run` again.